summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-12 23:33:04 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:04 +0200
commita508467027a7f4896cf9bbeeea1f106e351f768e (patch)
tree328ff8159a951095eb629f4b9fa5068f6722ea55
parent6dc162c624a565eb400591fa4a804be66635540b (diff)
downloadslackbuilds-a508467027a7f4896cf9bbeeea1f106e351f768e.tar.gz
slackbuilds-a508467027a7f4896cf9bbeeea1f106e351f768e.tar.xz
system/acpi: Added to 12.2 repository
-rw-r--r--system/acpi/README4
-rw-r--r--system/acpi/acpi.SlackBuild75
-rw-r--r--system/acpi/acpi.info8
-rw-r--r--system/acpi/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/system/acpi/README b/system/acpi/README
new file mode 100644
index 0000000000..86e3ab1963
--- /dev/null
+++ b/system/acpi/README
@@ -0,0 +1,4 @@
+Linux ACPI client is a command-line tool, similar to the "apm" command,
+that provides information on battery status, AC power, and thermal readings.
+This does not support ACPI suspending, and it only displays information
+about ACPI devices.
diff --git a/system/acpi/acpi.SlackBuild b/system/acpi/acpi.SlackBuild
new file mode 100644
index 0000000000..6ba9a8b598
--- /dev/null
+++ b/system/acpi/acpi.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for acpi
+
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
+
+PRGNAM=acpi
+VERSION=${VERSION:-1.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/acpi/acpi.info b/system/acpi/acpi.info
new file mode 100644
index 0000000000..ee0c9c2f3c
--- /dev/null
+++ b/system/acpi/acpi.info
@@ -0,0 +1,8 @@
+PRGNAM="acpi"
+VERSION="1.4"
+HOMEPAGE="http://sourceforge.net/projects/acpiclient/"
+DOWNLOAD="http://downloads.sourceforge.net/acpiclient/acpi-1.4.tar.gz"
+MD5SUM="ea2a285957a36bad2ec099413bd330a5"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="dsomero"
diff --git a/system/acpi/slack-desc b/system/acpi/slack-desc
new file mode 100644
index 0000000000..cf66865639
--- /dev/null
+++ b/system/acpi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+acpi: acpi (an acpi client for linux)
+acpi:
+acpi: Linux ACPI client is a command-line tool, similar to the "apm"
+acpi: command, that provides information on battery status, AC power,
+acpi: and thermal readings.
+acpi:
+acpi: Homepage: http://sourceforge.net/projects/acpiclient/
+acpi:
+acpi:
+acpi:
+acpi: